CUYO(6)

NAME
cuyo - Tetris-like game with many suprises

SYNOPSIS
cuyo [-s] [ld-file]

DESCRIPTION
Use A, D, W and S or the arrow keys to move left, move right, turn and drop the falling piece. Try to put blobs of the same color togehter. (You don't need to form rows or columns. Any shape will do.) When enough blobs of the same color are connected, they explode. (What "enough" means depends on the level.) Try to make explosions next to the the grass (or whatever there is in the level instead of the grass). Then, it will explode, too. The level is finished when no grass is left.
In some levels, you will need a chain reaction to get rid of the grass-equivalent. And many other things may happen in other levels.
In two-player-mode, each time one player causes an explosion, the other one gets grey things (which explode when something else explodes next to them). If one player builds a too big tower, the other player gets one of his rows.

OPTIONS

-s  "Small": Scale everything down to 75%. Good for small screens or slow remote X connections.

Apart from that, there are some more undocumented options.

If you're trying to design own levels, you can pass the name of your .ld file (level description file) to test the level. If you do that, this will be the only available level.

CREATING OWN LEVELS
The main work is to draw all those little icons. Then you have to create a level description file which tells cuyo how to put everything together. Up to now there's no complete documentation, and moreover, the level description language is still under development and probably rather buggy.

The best way to start is probably to look at the file example.ld, which is a level description file of an example level with many comments. (It should be part of the cuyo distribution and lies probably in the same directory as the other cuyo level description files.)

Other Sources of information are:

-   Try man cual. Cual - the Cuyo Animation Language - is the language in which the levels are programmed.

-   And of course, there are the level description files of the existing levels (files ending in .ld, probably located somewhere like /usr/share/games/cuyo/).

SEE ALSO
cual(6)

BUGS
The level description language is still under development.
In the preferences dialog, some keys are not displayed correctly.
The AI Player is not very intelligent. In particular, it doesn't understand most of the special features of the levels, and so, it sometimes behaves very silly.
See the TODO file for other bugs.

AUTHORS
Mainly Immanuel Halupczok <cuyo@karimmi.de>.
Other contributors to the source code: Bernhard R. Link, Mark Weyer, Bernhard Seckinger.
Other contributors of levels: Daniela Lipps, Simon Huggenberger.